Altibase.jdbc.driver

## Class AltibaseDriver

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseDriver

All Implemented Interfaces:
  java.sql.Driver

    public final class AltibaseDriver
    extends java.lang.Object
    implements java.sql.Driver

### Constructor Summary

Constructors
Constructor and Description
`AltibaseDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(java.lang.String aURL)`
`java.sql.Connection` `connect(java.lang.String aURL, java.util.Properties aInfo)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.util.logging.Logger` `getParentLogger()`
`java.sql.DriverPropertyInfo[]` `getPropertyInfo(java.lang.String aURL, java.util.Properties aInfo)`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AltibaseDriver

    public AltibaseDriver()

### Method Detail

#### acceptsURL

    public boolean acceptsURL(java.lang.String aURL)
                       throws java.sql.SQLException

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### connect

    public java.sql.Connection connect(java.lang.String aURL,
                                       java.util.Properties aInfo)
                                throws java.sql.SQLException

Specified by:
  `connect` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`

#### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String aURL,
                                                         java.util.Properties aInfo)
                                                  throws java.sql.SQLException

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`

#### getParentLogger

    public java.util.logging.Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `java.sql.Driver`